
%global meadversion 1.6.1
%global namedversion 1.6.1.redhat-9
%global meadalpha .redhat_9
%global meadrel .1
%global serial 22
%global namedversionrel redhat-9

%bcond_without mead

%define maven_version 1.6.1.redhat-9

Name:           dom4j-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        dom4j
License:        BSD
Group:          Development/Java

%if %with mead
Source100: dom4j-1.6.1.redhat-9-scm-sources.zip
Source102: dom4j-1.6.1.redhat-9.pom
Source103: dom4j-1.6.1.redhat-9-sources.jar
Source104: dom4j-1.6.1.redhat-9-project-sources.tar.gz
Source105: dom4j-1.6.1.redhat-9-javadoc.jar
Source106: dom4j-1.6.1.redhat-9.jar
%endif

URL:            http://dom4j.org
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/dom4j-eap6-%{namedversion}-%{release}-root

%description
dom4j: the flexible XML framework for Java.

%prep
%setup -q -n dom4j -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/dom4j-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/dom4j-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/dom4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/dom4j-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files -n dom4j-eap6
%defattr(0644,root,root,0755)
%doc LICENSE.txt readme.html TODO.txt
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/dom4j-%{namedversion}.jar
%{_javadir}/%{name}/dom4j.jar
%{_javadir}/%{name}/dom4j-%{namedversion}-sources.jar
%{_javadir}/%{name}/dom4j-sources.jar

%changelog
* Wed Apr 03 2019 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.6.1-22.redhat_9.1
- upgrade to 1.6.1.redhat-9

* Tue Apr 02 2019 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.6.1-21.redhat_8.1
- upgrade to 1.6.1.redhat-8

* Thu Oct 24 2013 David Walluck <dwalluck@redhat.com> 0:1.6.1-20
- convert to MEAD

* Wed Apr 03 2013 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-19.redhat_5
- Wrap dom4j-1.6.1-19.redhat_5.ep6.el6

* Wed Apr 03 2013 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-18.redhat_5
- Wrap dom4j-1.6.1-18.redhat_5.ep6.el6

* Wed Apr 03 2013 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-4.redhat_5
- Wrap dom4j-1.6.1-19.redhat_5.ep6.el6

* Wed Feb 06 2013 Fernando Nasser <fnasser@redhat.com> 0:1.6.1-3
- Include sources/patches in SRPM

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.6.1-2
- fix build

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:1.6.1-1
- release
